Visualizza post

Questa sezione ti permette di visualizzare tutti i post inviati da questo utente. N.B: puoi vedere solo i post relativi alle aree dove hai l'accesso.


Topics - cyberlupo

Pagine: [1]
1
Gestione e-commerce / Errori VM2.0.0 su Joomla2.5
« il: 06 Feb 2012, 19:09:18 »
Salve a tutti, spero che qualcuno possa aiutarmi a risolvere un problema.

Appena installato Vm2.0.0 su Joomla2.5 (pulito) sia in locale con XAMPP1.7.1 sia su Hosting

mi compaiono degli errori di VM dal lato backend, alcune voci di esempio risultano con il lucchetto
tipo in configurazione/campi clienti le prime 6 voci risultano con il lucchetto,
se provo a cliccare su 1 qualsiasi voce dell'elenco mi riporta a questa pagina:


2
Come da oggetto mi sono fatto questa domanda dopo aver fatto diverse prove in locale, mi spiego meglio

Ho scaricato e installato Xampp versione 1.7.7 che contiene:

+ Apache 2.2.21
  + MySQL 5.5.16 (Community Server)
  + PHP 5.3.8 (VC9 X86 32bit thread safe) + PEAR
  + XAMPP Control Panel Version 2.5 from www.nat32.com
  + (BETA) XAMPP Control Panel Version 3.0.2 by Steffen Strueber (not in the USB & lite version)
    see http://www.apachefriends.org/f/viewtopic.php?f=16&t=46743
  + XAMPP Security
  + OpenSSL 1.0.0e
  + phpMyAdmin 3.4.5
  + ADOdb 5.14
  + Mercury Mail Transport System v4.62 (not in the USB & lite version)
  + FileZilla FTP Server 0.9.39 (not in the USB & lite version)
  + Webalizer 2.23-04 (not in the USB & lite version)
  + Perl 5.10.1 (not in the USB & lite version)
  + Mod_perl 2.0.4 (not in the USB & lite version)
  + Tomcat 7.0.21 (not in the USB & lite version).

Quando installo in locale Joomla 2.5 ita stabile  non ho nessun problema.

I problemi vengono fuori quando cerco di installare altre estensioni
dal backend di joomla tipo Virtuemart, es:

Strict Standards:  Non-static method VmConfig::loadConfig() should not be called statically in C:\xampp\htdocs\joomla25\administrator\components\com_virtuemart\admin.virtuemart.php on line 37
ecc... ecc...

Oppure Kunena 1.7.1
 
  • Installazione completata con successo.
 
 Strict Standards:  Non-static method KunenaError::initialize() should not be called statically in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\admin.kunena.php on line 42
 
 Strict Standards:  Non-static method CKunenaConfig::getInstance() should not be called statically in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\libraries\factory.php on line 28
 
 Strict Standards:  Only variables should be assigned by reference in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\admin.kunena.php on line 44
 
 Strict Standards:  Declaration of KunenaControllerInstall::display() should be compatible with that of JController::display() in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\install\controller.php on line 22
 
 Strict Standards:  Declaration of KunenaModelInstall::getError() should be compatible with that of JObject::getError() in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\install\model.php on line 1784
 
 Strict Standards:  Only variables should be passed by reference in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\install\view.php on line 43
 
 Strict Standards:  Only variables should be passed by reference in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\install\view.php on line 45
 
 Strict Standards:  Only variables should be passed by reference in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\install\view.php on line 46
 
 Strict Standards:  Only variables should be passed by reference in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\install\view.php on line 49
 
 Strict Standards:  Only variables should be passed by reference in C:\xampp\htdocs\joomla25\administrator\components\com_kunena\install\view.php on line 54

A questo punto credo che nessuna installazione andrà a buon fine se non correggo quello che ho sbagliato

Sono sicuro che ho sbagliato qualcosa nella configurazione di Xampp (ho dei dubbi) oppure la suddetta versione di XAMPP non è adatta.

Potreste aiutarmi?

3
versione PHP  5.2.17

Safe Mode                             Off                                 Off                               
Display Errors                             Off                                 On                               
File Uploads                             On                                 On                               
Magic Quotes Runtime                             Off                                 Off                               
Magic Quotes GPC                             Off                                 On                               
Register Globals                             Off                                 Off                               
Output Buffering                             Off                                 On                               
Session Auto Start                             Off                                 Off                               
Native ZIP support                             On                                 Off                             
CHiedo aiuto ai più esperti, con queste impostazioni incontrerò problemi?

4
Salve a tutti, come da titolo mi faccio questa domanda perchè, a me
la versione 2.5 dal lato frontend mi da problemi e tutti i link degli articoli di
esempio non funzionano, mentre con 1.7.3 era tutto a posto.

Ho provato a installare la 2.5 in locale ed invece è tutto ok, pensavo allora
che con PHP settato a 5.2 non va bene per j2.5.

Scusate se scrivo baggianate ma non mastico molto bene queste cose.

5
Joomla! 1.6/1.7/2.5 / joomla 2.5 problema installazione
« il: 26 Gen 2012, 00:05:09 »
Salve, vorrei segnalare 3 problemi che mi si presentano alla fine dell'installazione
della versione 2.5:

1) Ho provato prima ad aggiornare da 1.7.3 a 2.5 seguendo le istruzioni del wiki qui.
Nel paragrafo 5.3 c'è scritto:
  • andare in Estensioni-->Gestione estensioni
  • premere sul nuovo link "Database" e successivamente su tasto in alto a destra "Aggiorna".
ecco, in alto a destra a me risulta solo l'opzione  "Correggi" e non "aggiorna".

come risultato di "Correggi" ho questo:

La struttura delle tabelle del Database è aggiornata.Altre informazioni   
  • Versione schema Database (in #__schemas): 2.5.0-2012-01-14.
  • Database driver: mysql.
  • Sono state controllate correttamente 62 modifiche al database.
  • 13 modifiche al database non hanno alterato la struttura delle tabelle e sono state ignorate.
Ho verificato se il database era allineato controllando che ci fossero tutti i plugin, captcha ecc... e ci sono
tutti.

Ho anche provato 2 volte ad installare j2.5 ex novo in una sottocartella del mio sito ma il risultato è sempre quello, premetto che ho seguito sempre il consiglio di svuotare la cache del sito e del browser (firefox).

2) Altra cosa strana, se vado in "gestione estensioni/esplora" non trovo nessuna estensione da installare, forse perchè sono già installate?

3) Il sito non ha mai funzionato dal lato front, cercando di navigare tra gli articoli di esempio ricevo sempre
   degli errori 404, adesso nella versione senza dati di esempio appena cerco di effettuare una registrazione al sito (una cosa disponibile), ricevo un errore 500:

 Errore: 500 Non è possibile visualizzare questa pagina, potrebbe essere a causa di:
  • un bookmark/preferiti scaduto
  • una ricerca attraverso il motore di ricerca che ha una indicizzazione non aggiornata di questo sito
  • un indirizzo compilato male
  • non hai accesso a questa pagina
  • la risorsa richiesta non esiste.
  • si è verificato un errore durante l'esecuzione della richiesta.
  • Prova a visitare una delle seguenti pagine
  • Home Page
  • Cerca in questo sito
  • Se persistono delle difficoltà, contatta l'Amministratore di questo sito e riporta l'errore. View non trovato [name, type, prefix]: registration, html, contentView.


    Ringrazio anticipatamente chi avrà tempo e voglia di aiutarmi e mi scuso per la mia ignoranza.

Pagine: [1]
Host

Torna su